libcoap 4.3.2rc2

Data Fields
coap_subscription_t Struct Reference
Libcoap Internal API » Observe Subscription

Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive. More...

`#include <coap_subscribe_internal.h>`

## Data Fields
struct coap_subscription_t * | next
| next element in linked list More...
struct coap_session_t * | session
| subscriber session More...
uint8_t | non_cnt
| up to 255 non-confirmable notifies allowed More...
uint8_t | fail_cnt
| up to 255 confirmable notifies can fail More...
uint8_t | dirty
| set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too) More...
coap_cache_key_t * | cache_key
coap_pdu_t * | pdu
| cache_key to identify requester More...

## Detailed Description

Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive.

The maximum allowed value here is `255`. Number of different confirmable notifications that may fail (i.e. those that have hit MAX_RETRANSMIT multiple times) before an observer is removed. The maximum value for COAP_OBS_MAX_FAIL is `255`. Subscriber information

Definition at line 57 of file coap_subscribe_internal.h.

## Field Documentation

## ◆ cache_key

coap_cache_key_t* coap_subscription_t::cache_key

Definition at line 66 of file coap_subscribe_internal.h.

## ◆ dirty

uint8_t coap_subscription_t::dirty

set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too)

Definition at line 63 of file coap_subscribe_internal.h.

## ◆ fail_cnt

uint8_t coap_subscription_t::fail_cnt

up to 255 confirmable notifies can fail

Definition at line 62 of file coap_subscribe_internal.h.

## ◆ next

struct coap_subscription_t* coap_subscription_t::next

next element in linked list

Definition at line 58 of file coap_subscribe_internal.h.

## ◆ non_cnt

uint8_t coap_subscription_t::non_cnt

up to 255 non-confirmable notifies allowed

Definition at line 61 of file coap_subscribe_internal.h.

## ◆ pdu

coap_pdu_t* coap_subscription_t::pdu

cache_key to identify requester

PDU to use for additional requests

Definition at line 67 of file coap_subscribe_internal.h.

## ◆ session

struct coap_session_t* coap_subscription_t::session

subscriber session

Definition at line 59 of file coap_subscribe_internal.h.

The documentation for this struct was generated from the following file:

- coap_subscribe_internal.h